'use strict';

const ezno_lib = require('./shared/ezno.9bd62596.cjs');
const node_fs = require('node:fs');

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (document.currentScript && document.currentScript.src || new URL('initialized.cjs', document.baseURI).href)));
ezno_lib.initSync(node_fs.readFileSync(wasmPath));

exports.build = ezno_lib.build;
exports.check = ezno_lib.check;
exports.parse_expression = ezno_lib.parse_expression;
